import 'package:rasadyar_core/core.dart';

class UsersLogic extends GetxController {
  Rx<Resource<PaginationModel<int>>> countList = Resource<PaginationModel<int>>.success(
    PaginationModel(results: [1, 2, 3, 4, 5, 6], count: 1, next: null, previous: null),
  ).obs;

  RxBool isLoadingMore = false.obs;
  RxInt currentPage = 1.obs;
  RxInt indexExpanded = (-1).obs;

  @override
  void onReady() {
    // TODO: implement onReady
    super.onReady();
  }

  @override
  void onClose() {
    // TODO: implement onClose
    super.onClose();
  }



  void toggleExpandedList(int index) {
    if (indexExpanded.value == index) {
      indexExpanded.value = -1;
    } else {
      indexExpanded.value = index;
    }
  }
}
